最开始接触ArcGIS版本是9.3,为了需要也安装了9.2进行开发;因为自己的电脑配置较低,所以跑不起10.0中文版;毕业工作后,行业内用10.1居多(虽然10.3已出);现在10.4都要出来了;由于客户只有10.0的正版,所以这次要一键切换到10.0的版本,之前跳过这个版本,现在要重新来一次。

以前也做过版本升级,相关博文如下:

ArcEngine9.3迁移至ArcObject10.1

ArcGIS10.2下调试10.1的程序

一般情况都是将版本升级,升级后的版本接口更高级、功能更全面。现根据需要求,将ArcObject 10.1版本的降级为ArcObject10.0版本,所有调用了AO类库的组件都需要重新在ArcGIS10.0的环境下编译。

在环境相同或相似的情况下。具体的步骤:

一、地图文档另存

高版本的地图文档(*.mxd)在低版本软件上打不开,需要在高版本软件中另存为副本(    Save As Copy)后才可使用。

二、重新添加引用

AO程序版本转换最重要的是类库的引用问题。包括AO类库引用、平台组件引用和其他引用。引用一旦改变,对应使用的控件在重新生成后自动改变。下面是通过Add ArcGIS Reference工具添加缺失的引用(黄色感叹号)。

当然有的引用通过以上方式不能找到,可以直接通过系统引用来寻找,如ESRI.ArcGIS.AxControls。

三、版本差别修改

由于是从10.1降级为10.0,所以可能原来使用的接口、类、枚举、方法、属性等对象在目标框架下不存在或名称已修改。主要的解决方法是寻找相似的对象、或注释(不影响重新编译)、或修改(不影响主要功能)等,例如:

(1)图片符号样式不支持PNG

在10.0及以前版本,图片符号样式esriIPictureType枚举不支持PNG,只支持bmp和emf格式,将注释掉PNG文件选择即可。

(2)ADF引用改变

在ArcGIS9.2到10,Utility、Utility.BaseClasseUtility会逐渐被ESRI丢弃转而用ADF来代替。

在10.0中改为ESRI.ArcGIS.ADF.Local和ESRI.ArcGIS.ADF.Connection.Local

在10.1中改为ESRI.ArcGIS.ADF和ESRI.ArcGIS.ADF.BaseClasses

(3)接口、属性的降级

随着版本的升级,接口的版本也会不断升级,表现为接口名称改变、属性和方法增加,如图例的接口,在10.0版本中最高级接口是ILegend2,在10.1版本中最高级接口是ILegend3,因此,ILegend3的FixedFrame属性在ILegend2中不能再使用。类似的还有:INorthArrow、IScaleBar等。

有的接口名称虽然未改变,但属性有增加,如IDotDensityRenderer的属性MaintainDensityBy在10.0版本中没有(10.1版本新增)。

(4)资源文件缺失

源代码缺少一些资源文件,现已直接将注释,等需要再来添加、修改。

(5)其他问题

其他具体问题的修改。

ArcObject10.1降级至10.0的更多相关文章

  1. CentOS7 编译安装 nginx-1.10.0

    对于NGINX 支持epoll模型 epoll模型的优点 定义: epoll是Linux内核为处理大批句柄而作改进的poll,是Linux下多路复用IO接口select/poll的增强版本,它能显著的 ...

  2. Could not load file or assembly 'Microsoft.ReportViewer.WebForms, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a' or one of its de

    页面加载时出现这个错误: Could not load file or assembly 'Microsoft.ReportViewer.WebForms, Version=10.0.0.0, Cul ...

  3. Centos7下安装mono3.10.0

    mono 3.10.0 正式发布:性能进一步改进,以前已经写过一篇  Centos 7.0 安装Mono 3.4 和Jexus 5.6.下面我们在CentOS 7上通过源码安装Mono 3.10, 需 ...

  4. mono 3.10.0 正式发布:性能进一步改进

    Mono是Xamarin资助的一个项目,是微软的.NET框架的开源实现.它使得使用C#.F#和其他.NET语言进行跨平台开发成为可能.Xamarin在Mono之上构建了跨平台开发工具以及像Xamari ...

  5. VMware Workstation 10.0 正式版官方简体中文下载(附序列号)

    虚拟机界数一数二的王者软件VMWare Workstation 今日推出了最新的VMware Workstation 10.0 版本.该版本最大的更新是加入了简体中文语言,这意味着未来神马汉化包.中文 ...

  6. DPA 9.1.85 升级到DPA 10.0.352流程

    SolarWinds DPA的升级其实是一件非常简单的事情,这里介绍一下从DPA 9.1.95升级到 DPA 10.0.352版本的流程.为什么要升级呢? DPA给用户发的邮件已经写的非常清楚了(如下 ...

  7. C:\Program Files (x86)\Common Files\microsoft shared\DevServer\10.0

    C:\Program Files (x86)\Common Files\microsoft shared\DevServer\10.0

  8. kafka0.9.0及0.10.0配置属性

    问题导读1.borker包含哪些属性?2.Producer包含哪些属性?3.Consumer如何配置?borker(0.9.0及0.10.0)配置Kafka日志本身是由多个日志段组成(log segm ...

  9. 又一次的Microsoft Visual C++ 10.0 is required (Unable to find vcvarsall.bat)

    ~~~~~~~~~~~My problem is here~~~~~~~~~~~~~~~~~~~~~~ Error: Microsoft visual C++ 10.0 is required (un ...

随机推荐

  1. Android使用ndk-stack获取so奔溃堆栈

    利用NDK做开发,因为各种原因的不小心,导致了闪退问题,没有stack的话,很难查到问题的所在.这时候ndk-stack出场了. 先看看如下DUMP信息: ********** Crash dump: ...

  2. SQL2008R2 不支持用该后端版本设计数据库关系图或表

    向下不兼容. 要么安装SQL2012,要么把SQL2012数据库通过脚本转成2008

  3. [LintCode] Move Zeroes 移动零

    Given an array nums, write a function to move all 0's to the end of it while maintaining the relativ ...

  4. angularJ表单验证

    常用的表单验证指令 1. 必填项验证 某个表单输入是否已填写,只要在输入字段元素上添加HTML5标记required即可: <input type="text" requir ...

  5. groovy-闭包

    什么是闭包 一个groovy闭包就像一个代码块或者方法指针,他是定义然后执行的一段代码,但是他有一些特性:隐含变量,支持自由变量,支持currying . 我们先来看看一些例子: 1 def clos ...

  6. Lodop在搜狗兼容模式下打印无边框问题

    项目中原有的CAP方式打印由于只支持IE浏览器,由于目前大家使用IE的频率越来越少,迫切需要一个控件来替换项目原有的控件,比较了下选择Lodop,购买了一个最便宜的版本,使用后,有用户使用搜狗的兼容模 ...

  7. 130. Surrounded Regions -- 被某字符包围的区域

    Given a 2D board containing 'X' and 'O', capture all regions surrounded by 'X'. A region is captured ...

  8. SaaS应用“正益工作”发布,为大中型企业轻松构建移动门户

    6月24日,以“平台之上,应用无限”为主题的2016 AppCan移动开发者大会,在北京国际会议中心隆重举行,逾1500名移动开发者一起见证了此次大会盛况. 会上,在专家领导.技术大咖.移动开发者的共 ...

  9. Node.js 学习(二) 创建第一个应用

    如果我们使用PHP来编写后端的代码时,需要Apache 或者 Nginx 的HTTP 服务器,并配上 mod_php5 模块和php-cgi. 从这个角度看,整个"接收 HTTP 请求并提供 ...

  10. MDK5.01百度云下载,安装微软雅黑混合字体,字体效果很棒,解决显示中文的BUG

    微软雅黑字体http://pan.baidu.com/s/1nt9Epuh 初步尝试,以前的小BUG都已经解决了.下面是安装雅黑字体后的字体效果,很爽.第一步:安装雅黑字体.第二步:选择Edit--- ...